# Webapps Deliverer

Flask based web server for delivering file contents of the vaclab web 
applications. A proxy is also offered:

A URL of the form

``` 
  http://127.0.0.1:8081/xxxx/vl_db/000_SERVERS
```

will be forwarded to the real CouchDB URL

``` 
  http://127.0.0.1:xxxx/vl_db/000_SERVERS
```

## Installation of the server

On the server side

```
sudo apt install python3-pip             # openSUSE: sudo zypper in python3-pip
```

From the Git repository

```
./install a73434.berlin.ptb.de
```

or to `localhost`:

```
./install 
```

Copies the relevant files to `HOST:/usr/local/share/webapps-deliverer/` and 
then activates and starts the systemd process.

## Installation of the data files

The target has this directory structure and must be owned by user »nobody«:

```
/srv/www/data/
├── lib
│   ├── css
│   ├── fonts
│   ├── img
│   ├── js
│   └── sounds
└── web-apps
    ├── css
    ├── img
    └── js
```

